Debian Bug report logs - #581329
mmv: FTBFS: syntax error at /usr/bin/dpkg-name line 189, near ");"

version graph

Package: dpkg-dev; Maintainer for dpkg-dev is Dpkg Developers <debian-dpkg@lists.debian.org>; Source for dpkg-dev is src:dpkg.

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Wed, 12 May 2010 08:45:47 UTC

Severity: serious

Tags: sid, squeeze

Merged with 581315, 581326

Found in version dpkg/1.15.6

Fixed in version dpkg/1.15.7.2

Done: Guillem Jover <guillem@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gerfried Fuchs <rhonda@debian.at>:
Bug#581329; Package src:mmv. (Wed, 12 May 2010 08:45:50 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Gerfried Fuchs <rhonda@debian.at>. (Wed, 12 May 2010 08:45:50 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: mmv: FTBFS: syntax error at /usr/bin/dpkg-name line 189, near ");"
Date: Wed, 12 May 2010 10:39:23 +0200
Source: mmv
Version: 1.01b-15
Severity: serious
Tags: squeeze sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20100511 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> make[1]: Entering directory `/build/user-mmv_1.01b-15-amd64-jM21Ul/mmv-1.01b'
> make[1]: warning: -jN forced in submake: disabling jobserver mode.
> make[1]: `build' is up to date.
> make[1]: Leaving directory `/build/user-mmv_1.01b-15-amd64-jM21Ul/mmv-1.01b'
> install -d -g root -m 755 -o root debian/tmp
> chmod g-s debian/tmp
> install -d -g root -m 755 -o root debian/tmp/DEBIAN
> install -d -g root -m 755 -o root debian/tmp/usr/bin
> install -d -g root -m 755 -o root debian/tmp/usr/share/man/man1
> install -s -g root -o root -m 755 mmv debian/tmp/usr/bin
> test "true" != true || strip \
> 		--remove-section=.comment --remove-section=.note \
> 		debian/tmp/usr/bin/mmv
> install -g root -o root -m 644 mmv.1 debian/tmp/usr/share/man/man1
> gzip -9f debian/tmp/usr/share/man/man1/mmv.1
> (cd debian/tmp/usr/bin;\
> 	 ln -s mmv mcp; \
> 	 ln -s mmv mad; \
> 	 ln -s mmv mln;)
> (cd debian/tmp/usr/share/man/man1;\
> 	 ln -s mmv.1.gz mcp.1.gz; \
> 	 ln -s mmv.1.gz mad.1.gz; \
> 	 ln -s mmv.1.gz mln.1.gz;)
> install -d -g root -m 755 -o root debian/tmp/usr/share/doc/mmv
> install -g root -m 644 -o root READ.ME \
> 		debian/tmp/usr/share/doc/mmv
> install -g root -m 644 -o root debian/changelog \
> 		debian/tmp/usr/share/doc/mmv/changelog.Debian
> gzip -f9 debian/tmp/usr/share/doc/mmv/*
> install -g root -m 644 -o root debian/copyright \
> 	  debian/tmp/usr/share/doc/mmv
> chmod -R g-sw debian/tmp/usr/share/doc/mmv
> chown -R root.root debian/tmp/usr/share/doc/mmv
> dpkg-shlibdeps debian/tmp/usr/bin/mmv
> dpkg-gencontrol -isp
> cd debian/tmp && find * -type f ! -regex '^DEBIAN/.*' -print0 | \
>                 xargs -r0 md5sum > DEBIAN/md5sums
> dpkg --build debian/tmp && dpkg-name -o -s .. debian/tmp.deb
> dpkg-deb: building package `mmv' in `debian/tmp.deb'.
> syntax error at /usr/bin/dpkg-name line 189, near ");"
> Execution of /usr/bin/dpkg-name aborted due to compilation errors.
> make: *** [binary-arch] Error 255

The full build log is available from:
   http://people.debian.org/~lucas/logs/2010/05/11/mmv_1.01b-15_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#581329; Package src:mmv. (Mon, 17 May 2010 10:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <rhonda@debian.at>:
Extra info received and forwarded to list. (Mon, 17 May 2010 10:57:08 GMT) Full text and rfc822 format available.

Message #10 received at 581329@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@debian.at>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 581329@bugs.debian.org
Subject: [PATCH] dpkg-name: fix syntax error
Date: Mon, 17 May 2010 12:56:52 +0200
From: Gerfried Fuchs <rhonda@debian.at>
Date: Mon, 17 May 2010 12:49:43 +0200
Subject: [PATCH] dpkg-name: fix syntax error

There was a missing closing bracket.

Regression introduced in 716362c59e531883304a211afa61660608c214b3.

Closes: #581329, #581326, #581315
---
 debian/changelog     |    3 +++
 scripts/dpkg-name.pl |    2 +-
 2 files changed, 4 insertions(+), 1 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index 6030a0a..f2fc4e3 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -31,6 +31,9 @@ dpkg (1.15.7.2) UNRELEASED; urgency=low
   * Fix dpkg --root by properly stripping again the root directory from
   * the
     path of the maintainer script to execute. Closes: #580984
 
+  [ Gerfried Fuchs ]
+  * Fix syntax error in dpkg-name. Closes: #581329, #581326, #581315
+
  -- Raphaël Hertzog <hertzog@debian.org>  Fri, 23 Apr 2010 18:17:14
+0200
 
 dpkg (1.15.7.1) unstable; urgency=low
diff --git a/scripts/dpkg-name.pl b/scripts/dpkg-name.pl
index 2df8ac9..6745ac1 100755
--- a/scripts/dpkg-name.pl
+++ b/scripts/dpkg-name.pl
@@ -186,7 +186,7 @@ sub move($)
                 if (mkpath($dir)) {
                     info(_g("created directory '%s'"), $dir);
                 } else {
-                    error(_g("cannot create directory '%s'", $dir);
+                    error(_g("cannot create directory '%s'"), $dir);
                 }
             } else {
                 error(_g("no such directory '%s', try --create-dir (-c)
option"),
-- 
1.5.6.5





Bug reassigned from package 'src:mmv' to 'dpkg-dev'. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Mon, 17 May 2010 10:57:10 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions mmv/1.01b-15. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Mon, 17 May 2010 10:57:10 GMT) Full text and rfc822 format available.

Bug Marked as found in versions dpkg/1.15.6. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Mon, 17 May 2010 10:57:11 GMT) Full text and rfc822 format available.

Forcibly Merged 581315 581326 581329. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Mon, 17 May 2010 11:00:13 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Raphaël Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Mon, 17 May 2010 12:06:15 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 26 Jun 2010 07:32:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:59:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.